.default-style .sidenav .app-brand.demo {
  height: 66px;
}

.material-style .sidenav .app-brand.demo {
  height: 70px;
}

.app-brand-logo.demo {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.header-logo {
	max-width: 9.625rem;
    max-height: 3rem;
	margin-top: 0rem;
	margin-bottom: 0.2rem;
}

.side-menu-logo {
	max-width: 9.625rem;
    max-height: 3rem;
	margin-top: 0.5rem;
	margin-bottom: 0.5rem;
}

.app-brand-logo.demo svg {
  width: 20px;
  height: 11px;
}

.app-brand-text.demo {
  font-size: 1.1rem;
}

.layout-1 .layout-sidenav .app-brand.demo,
.layout-1 .layout-sidenav .app-brand.demo + .sidenav-divider,
.layout-reversed .layout-2 .layout-sidenav .app-brand.demo {
  display: none;
}

.layout-1 .layout-navbar .app-brand.demo,
.layout-reversed .layout-2 .layout-navbar .app-brand.demo {
  display: -webkit-box !important;
  display: -ms-flexbox !important;
  display: flex !important;
}

.layout-1 .layout-navbar .layout-sidenav-toggle,
.layout-reversed .layout-2 .layout-navbar .layout-sidenav-toggle,
.layout-offcanvas .layout-navbar .layout-sidenav-toggle,
.layout-fixed-offcanvas .layout-navbar .layout-sidenav-toggle {
  display: block !important;
}

@media (min-width: 992px) {
  .layout-offcanvas .layout-sidenav .layout-sidenav-toggle,
  .layout-fixed-offcanvas .layout-sidenav .layout-sidenav-toggle {
    display: none;
  }
}

/* *****************************************************************************
 * Navbar
 */

.demo-navbar-messages .dropdown-toggle,
.demo-navbar-notifications .dropdown-toggle,
.demo-navbar-user .dropdown-toggle,
.demo-navbar-messages.b-nav-dropdown .nav-link,
.demo-navbar-notifications.b-nav-dropdown .nav-link,
.demo-navbar-user.b-nav-dropdown .nav-link {
  white-space: nowrap;
}

.demo-navbar-messages .dropdown-menu,
.demo-navbar-notifications .dropdown-menu {
  overflow: hidden;
  padding: 0;
}

@media (min-width: 992px) {
  .demo-navbar-messages .dropdown-menu,
  .demo-navbar-notifications .dropdown-menu {
    margin-top: .5rem;
    width: 22rem;
  }

  .demo-navbar-user .dropdown-menu {
    margin-top: .25rem;
  }
}

/* *****************************************************************************
 * Content
 */

.demo-vertical-spacing > * + * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}

.demo-vertical-spacing-sm > * + * {
  margin-top: .9375rem !important;
  margin-bottom: 0 !important;
}

.demo-vertical-spacing-lg > * + * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}

.demo-inline-spacing > *,
.demo-paragraph-spacing > p > * {
  margin: 0 .375rem .9375rem 0 !important;
}

.demo-paragraph-spacing > p {
  margin: 0;
}

.demo-blocks > * {
  display: block !important;
}

html:not(.material-style) .material-style-only {
  display: none !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir=rtl] .rtl-only {
  display: block !important;
}

/* *****************************************************************************
 * Layouts
 */

.layout-example-block {
  margin-top: 10px;
  padding: 10px;
  border: 1px solid rgba(0,0,0,.04);
  border-radius: 2px;
  background: rgba(0,0,0,.04);
  color: #c7254e;
}
.layout-example-block code {
  background: none;
  color: #666;
}

.layout-example-block-inner {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  height: 500px;
}

.layout-example-block-sidenav {
  width: 24%;
  background: #607d8b;
}
.layout-example-block-sidenav code {
  color: #fff;
}

.layout-example-block-navbar {
  background: #3ca99e;
}
.layout-example-block-navbar code {
  color: #fff;
}

.layout-example-block-content {
  background: #9e9e9e;
}
.layout-example-block-content code {
  color: #fff;
}

.layout-example-block-1 .layout-example-block-content {
  width: 74%;
}

.layout-example-block-2 .layout-example-block-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  width: 74%;
}
.layout-example-block-2 > .layout-example-block {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
}
.layout-example-block-2 .layout-example-block-content {
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
}

.layout-example-block-1-no-sidenav .layout-example-block-content {
  width: 100%;
}

.layout-example-code {
  display: block;
  overflow: auto;
  margin: 0;
  padding: 30px;
  min-width: 0;
  width: 100%;
  background: #fff;
}

.layout-example-run {
  display: inline-block;
  margin: 3px;
  padding: 4px 6px;
  border: 1px solid #eee;
  background: transparent;
  white-space: nowrap;
  line-height: 1;
}

.layout-example-block-3 .layout-example-block-inner {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
.layout-example-block-3 .layout-example-block-inner > .layout-example-block {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
}
.layout-example-block-3 .layout-example-block-inner .layout-example-block-container-fluid {
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
}
.layout-example-block-3 .layout-example-block-sidenav-horizontal {
  background: #607d8b;
}
.layout-example-block-3 .layout-example-block-container-fluid {
  background: #fff;
}
.layout-example-block-3 .layout-example-block-container-fluid code {
  color: #666;
}
.layout-example-block-3 .layout-example-block-footer {
  background: #e6514a;
}


/* Tan Cooper CSS rules */
a.tan-cooper-sidenav-link.open {
    color: white !important;
}

.tan-cooper-navbar-icon {
    font-size: large;
}

.tan-cooper-sidenav-link {
    padding-top: .3rem !important;
    padding-bottom: .3rem !important;
}

.tan-cooper-cell {
    padding-top: 0.25rem !important;
    padding-bottom: 0.25rem !important;
    padding-left: 0.25rem !important;
    padding-right: 0.25rem !important;
}

.tan-cooper-label, .tan-cooper-label span {
    /*padding-top: 0.25rem !important;*/
    /*padding-bottom: 1rem !important;*/
    /*padding-left: 0.25rem !important;*/
    /*padding-right: 0.25rem !important;*/
}

.tan-cooper-label span {
    /*color: gray;*/
}

.tan-cooper-value {
    /*padding-top: 0.25rem !important;*/
    /*padding-bottom: 1rem !important;*/
    /*padding-left: 0.25rem !important;*/
    /*padding-right: 0.25rem !important;*/
}

.tan-cooper-value span {
    font-weight: bold;
}

/*
.tan-cooper-value span:empty:after {
    font-family: "Font Awesome 5 Free", FontAwesome;
    color: #88C0BB !important;
    content: "\f056";
    white-space: pre;
}
*/

.tan-cooper-content-center {    
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    display: flex !important;
    /*-ms-flex-negative: 1;
    flex-shrink: 1;*/
    -webkit-box-pack: center !important;
    -ms-flex-pack: center !important;
    justify-content: center !important;
}

.tan-cooper-roundpanel-table {
    width: 100%;
    table-layout: fixed;
}

.card { 
    /* override Bootstrap .card */
    /*background-color: #F8F8F8 !important;*/
    background-color: #FFFFFF !important;
    border: 1px solid #CCCCCC !important;
    margin-bottom: 1rem;
}

.card-h-100 {
    height: calc(100% - 1rem);
}

.dx-wrap.dxgv {
    word-break: break-word;
}

table.dxrpControl_Bootberry {
    margin-bottom: 1rem;
}

.dxrpAW *.col-1,
.dxrpAW *.col-2,
.dxrpAW *.col-3,
.dxrpAW *.col-4,
.dxrpAW *.col-5,
.dxrpAW *.col-6,
.dxrpAW *.col-7,
.dxrpAW *.col-8,
.dxrpAW *.col-9,
.dxrpAW *.col-10,
.dxrpAW *.col-11,
.dxrpAW *.col-12,
.dxrpAW *.col,
.dxrpAW *.col-auto,
.dxrpAW *.col-sm-1, 
.dxrpAW *.col-sm-2, 
.dxrpAW *.col-sm-3, 
.dxrpAW *.col-sm-4, 
.dxrpAW *.col-sm-5, 
.dxrpAW *.col-sm-6, 
.dxrpAW *.col-sm-7, 
.dxrpAW *.col-sm-8, 
.dxrpAW *.col-sm-9, 
.dxrpAW *.col-sm-10, 
.dxrpAW *.col-sm-11, 
.dxrpAW *.col-sm-12, 
.dxrpAW *.col-sm, 
.dxrpAW *.col-sm-auto, 
.dxrpAW *.col-md-1,
.dxrpAW *.col-md-2,
.dxrpAW *.col-md-3,
.dxrpAW *.col-md-4,
.dxrpAW *.col-md-5,
.dxrpAW *.col-md-6,
.dxrpAW *.col-md-7,
.dxrpAW *.col-md-8,
.dxrpAW *.col-md-9,
.dxrpAW *.col-md-10,
.dxrpAW *.col-md-11,
.dxrpAW *.col-md-12,
.dxrpAW *.col-md,
.dxrpAW *.col-md-auto,
.dxrpAW *.col-lg-1,
.dxrpAW *.col-lg-2,
.dxrpAW *.col-lg-3,
.dxrpAW *.col-lg-4,
.dxrpAW *.col-lg-5,
.dxrpAW *.col-lg-6,
.dxrpAW *.col-lg-7,
.dxrpAW *.col-lg-8,
.dxrpAW *.col-lg-9,
.dxrpAW *.col-lg-10,
.dxrpAW *.col-lg-11,
.dxrpAW *.col-lg-12,
.dxrpAW *.col-lg,
.dxrpAW *.col-lg-auto,
.dxrpAW *.col-xl-1,
.dxrpAW *.col-xl-2,
.dxrpAW *.col-xl-3,
.dxrpAW *.col-xl-4,
.dxrpAW *.col-xl-5,
.dxrpAW *.col-xl-6,
.dxrpAW *.col-xl-7,
.dxrpAW *.col-xl-8,
.dxrpAW *.col-xl-9,
.dxrpAW *.col-xl-10,
.dxrpAW *.col-xl-11,
.dxrpAW *.col-xl-12,
.dxrpAW *.col-xl,
.dxrpAW *.col-xl-auto {
    /* Fix overlapping of ASPxCombobox within Bootstrap's grid column. */
    position: initial !important;
}

/* For ASPX Controls */
.form-control {
    height: auto !important;
    min-height: auto !important;
    padding: 3px 7px 3px 7px !important;
    border: 1px solid #CBCBCB !important;
}

.form-control:active, .form-control:focus {
    border: 1px solid #007BF7 !important;
    box-shadow: 0 0 0.75rem #007BF7 !important;
}

.btn.fa {
    font-weight: 900 !important;
}

.btn {
    padding: 2px 20px 2px !important;
}

.btn-primary {
    color: #fff !important;
    background-color: #007bff !important;
    border-color: #007bff !important;
}

.btn-primary:hover {
    color: #fff !important;
    background-color: #0069d9 !important;
    border-color: #0062cc !important;
}

.btn-primary:focus, .btn-primary.focus {
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.5) !important;
}

.btn-primary.disabled, .btn-primary:disabled {
    color: #fff !important;
    background-color: #007bff !important;
    border-color: #007bff !important;
}

.btn-secondary {
    color: #fff !important;
    background-color: #6c757d !important;
    border-color: #6c757d !important;
}

.btn-secondary:hover {
    color: #fff !important;
    background-color: #5a6268 !important;
    border-color: #545b62 !important;
}

.btn-secondary:focus, .btn-secondary.focus {
    box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5) !important;
}

.btn-secondary.disabled, .btn-secondary:disabled {
    color: #fff !important;
    background-color: #6c757d !important;
    border-color: #6c757d !important;
}

.btn-success {
    color: #fff !important;
    background-color: #28a745 !important;
    border-color: #28a745 !important;
}

.btn-success:hover {
    color: #fff !important;
    background-color: #218838 !important;
    border-color: #1e7e34 !important;
}

.btn-success:focus, .btn-success.focus {
    box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.5) !important;
}

.btn-success.disabled, .btn-success:disabled {
    color: #fff !important;
    background-color: #28a745 !important;
    border-color: #28a745 !important;
}

.btn-info {
    color: #fff !important;
    background-color: #17a2b8 !important;
    border-color: #17a2b8 !important;
}

.btn-info:hover {
    color: #fff !important;
    background-color: #138496 !important;
    border-color: #117a8b !important;
}

.btn-info:focus, .btn-info.focus {
    box-shadow: 0 0 0 0.2rem rgba(23, 162, 184, 0.5) !important;
}

.btn-info.disabled, .btn-info:disabled {
    color: #fff !important;
    background-color: #17a2b8 !important;
    border-color: #17a2b8 !important;
}

.btn-warning {
    color: #212529 !important;
    background-color: #ffc107 !important;
    border-color: #ffc107 !important;
}

.btn-warning:hover {
    color: #212529 !important;
    background-color: #e0a800 !important;
    border-color: #d39e00 !important;
}

.btn-warning:focus, .btn-warning.focus {
    box-shadow: 0 0 0 0.2rem rgba(255, 193, 7, 0.5) !important;
}

.btn-warning.disabled, .btn-warning:disabled {
    color: #212529 !important;
    background-color: #ffc107 !important;
    border-color: #ffc107 !important;
}

.btn-danger {
    color: #fff !important;
    background-color: #dc3545 !important;
    border-color: #dc3545 !important;
}

.btn-danger:hover {
    color: #fff !important;
    background-color: #c82333 !important;
    border-color: #bd2130 !important;
}

.btn-danger:focus, .btn-danger.focus {
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.5) !important;
}

.btn-danger.disabled, .btn-danger:disabled {
    color: #fff !important;
    background-color: #dc3545 !important;
    border-color: #dc3545 !important;
}

.btn-light {
    color: #212529 !important;
    background-color: #f8f9fa !important;
    border-color: #f8f9fa !important;
}

.btn-light:hover {
    color: #212529 !important;
    background-color: #e2e6ea !important;
    border-color: #dae0e5 !important;
}

.btn-light:focus, .btn-light.focus {
    box-shadow: 0 0 0 0.2rem rgba(248, 249, 250, 0.5) !important;
}

.btn-light.disabled, .btn-light:disabled {
    color: #212529 !important;
    background-color: #f8f9fa !important;
    border-color: #f8f9fa !important;
}

.btn-dark {
    color: #fff !important;
    background-color: #343a40 !important;
    border-color: #343a40 !important;
}

.btn-dark:hover {
    color: #fff !important;
    background-color: #23272b !important;
    border-color: #1d2124 !important;
}

.btn-dark:focus, .btn-dark.focus {
    box-shadow: 0 0 0 0.2rem rgba(52, 58, 64, 0.5) !important;
}

.btn-dark.disabled, .btn-dark:disabled {
    color: #fff !important;
    background-color: #343a40 !important;
    border-color: #343a40 !important;
}

.card-header {
    padding: .75rem 1.25rem !important; 
    background-color: rgba(0, 0, 0, 0.03) !important;
}



